> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/holdings.md).

# Holdings

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/Holdings`

**QUERY PARAMETERS**

| Request Parameter | Description | Mandatory |
| ----------------- | ----------- | --------- |
| broker            | broker code | Yes       |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/Holdings
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",   
"data":
{
 "broker":"tc"
}
}
```

{% endcode %}

{% code title="Response example:" %}

```
{
"status": "success",
"data": {
 [
     {
         "exchange": "NSE",
         "token": "3478273",
         "symbol": "ACE",
         "isin": "INE731H01025",
         "holdqty": 150,
         "btst_qty": 0,
         "sellable_qty": 0,
         "average_price": 323.6,
         "ltp": 31.85,
         "product": "CNC",
         "coll_qty": 0,
         "coll_type": "",
         "invest_val": 47377.5,
         "hld_val": 47377.5,
         "PL": 0,
         "broker_exchange": "BSE",
         "broker_token": "3478273",
         "tick_size": 0,
         "lot_size": 0,
         "holdtype": "HLD",
         "ws_msg": {
             "exchange": "BSE",
             "token": "3478273"
         }
     }
 ]
}
}
```

{% endcode %}
